﻿@model IEnumerable<EnergyMission.Domain.Entities.ClientAdministratorEntity>
@{
    
    EnergyMission.Domain.Entities.ClientAdministratorEntity clientAdminstrator = new ClientAdministratorEntity();
    
}<div class="second-menu">
    <h3>Administrators</h3>
    @*<ul class="org-inner-menu">
        <li><a href="#">Contact Site Manager</a></li>
        <li><a href="#">Help</a></li>
        <li><a href="#">Report Error</a></li>
        <li><a href="#">Report Error</a></li>
    </ul>*@
</div>

<div class="examples">
    <div id="testDivNested">
        <div class="gray_bg">
            <div class="ensure2" id="errorssms"><i class="fa fa-check-circle" aria-hidden="true"></i> @ViewBag.msg</div>

        
            <!-- Start White Inner -->
            <div class="white_inner Persons">

                <div class="client-admin-login">
                    @Html.Action("GridViewPartial")
                    <a href="javascript:Assignperson()" id="Addperson" class="add_new">New Assign</a>
                </div>
                @*<a href="Javascript:visible();" id="Addclient" class="add_new">Add New Client</a>

            <*@
            </div>
                    @*<div class="top_name">
                            <ul>
                                <li>Countries</li>
                            </ul>
                        </div>
                        <div id="testDiv1">
                            <div class="inner">
                                <div class="row_client">
                                    <span class="black">Australia</span>
                                    <span class="edit"><a href="#">Edit</a></span>
                                    <span class="delete"><a href="#">Delete</a></span>
                                </div>
                            </div>
                        </div>*@
     
                <!-- End Countries -->

      
            <!-- End White Inner -->
            <!-- Start Bottom Details -->
            <div class="bottom delete2" id="viewperson">

                @Html.Partial("_AddEditPartial", clientAdminstrator)


            </div>
        </div>
        <!-- End Bottom Details -->
    </div>
</div>



@section Scripts{

    <script>


        $(document).ready(function () {
            var value = "@ViewBag.msg";
            $("#viewperson").hide();
            if (value == "") {
                $("#errorssms").hide();


            }
            else {
                $("#errorssms").show();


            }

            //function onComboBoxSelectedIndexChanged(s, e) {
      
            //    var value = s.GetValue();
            //    $('#PersonId').val(value);
            //    alert(value);
            //}
            $('#confname').change(function () {

                var Name1 = $("#confname").val().toUpperCase();

                var value = [];

                $("#PersonId option").each(function (i) {

                    value[i] = $(this).text().toUpperCase();
                    //alert($(this).text() + " : " + $(this).val());
                });

                $("#PersonId :selected ").text(Name1);
                //var item = jQuery.inArray(Name1, value);
                //alert(item);

                if (jQuery.inArray(Name1, value) == -1) {
                    $("#lblval").text("Name not found");
                    return;

                }
                else {

                    $("#lblval").text('');
                    return;
                }




            });
        });
 
        function cancelall() {


            $("#id").val('');
            $("#confname").val('');
            //$("#PersonId").val('');
            PersonId.SetValue('');

            $("#errorssms").hide();
            $("#viewperson").hide();
            return false;
        }

        var selectedKeys = "";

        function aspxSEClick(selectedValues) {

            var value = selectedValues;

            $("#errorssms").hide();
            $.ajax({
                type: "Get",
                url: "/ClientAdministrators/Edits",
                data: { "Id": value },
                dataType: 'json',
                contentType: "application/json;charset=utf-8",
                success: function (data) {
                    $("#viewperson").show();
                    //var ID       = JSON.stringify(data);
                    //alert(ID);
                    $("#Id").val(data.result[0].id);
                    persons.SetValue(data.result[0].personid);
                    //$("#PersonId_I").val(data.result[0].personid);
                
                  
                    return false;
                },


                error: function (textStatus, errorThrown) {

                    alert(textStatus);
                }
            });

       
        }

        function Assignperson() {
            $("#viewperson").show();
            $("#errorssms").hide();
            PersonId.SetValue('');
            //$('#btedit').attr('disabled', true);
            //$('#btnnew').attr('disabled', false);
        }
    </script>
}


